Linux Mint telepítés (SSD meghajtó): a grub-efi-amd64-signed csomag nem települt a /target/ könyvtárba

Fórum: 

Sziasztok. Próbálok egy friss telepítést egy 120 gb ssd re. Ami akár xfce vagy mate is lehet  Mind kettőt próbáltam. 

Az ISO-t rufus ill GPT vel írtam ki pendrivera  . Nekem az uefi kell gépem Intel nuc n3700.

A telepítés elején magától csinálja a particionálás-t  Az egész merevlemez a Linuxé. Közben bármelyiket is telepitem is Tara 19 mate, Xfxe , akkor azt írja ki, hogy a grub- efi- amd64 - signed csomag nem települt a /target/ könyvtárba.

"Mi lehet a hiba a Linux mint 18.3 mal semmi gond nincs telepítés közben. "

 

kimarite képe

GRUB --> sda

A telepítés végén hova telepítetted a GRUB-ot, az sda-ra? Ott mit írt ki, sikerült, vagy éppen ott írja, hogy nem?

Ezt kéne csinálnod:
A GParteddel a telepítőből töröld a teljes lemezt, majd állítsd át a partíciótípust MS DOS-ról GPT-re.
Másik lehetőség, hogy a BIOS/UEFI-ben kapcsold ki a Secure BOOT-ot.

https://pcforum.hu/tarsalgo/129286/ubuntu-studio-telepites?no=2#e2

!Azt nem tudom, a gépednek van-e a gyártó által készített backup partíciója, aminek nézz utána, de nem kéne törölni (a GParted szerintem nem törli, de az óvatosság, előrelátás, azaz az ellenőrzés nem árt)

-----

Ezt az ellenőrzést is elvégezhetnéd (a képfájl kiírása előtt persze):
http://ubuntu.hu/node/39595#comment-483799

Értékelés: 

0
Még nincs értékelve

A gépen Minden beállítás

A gépen Minden beállítás rendben van. A lemez is GPT-s

Ugyanúgy írom ki pendrivera. Mint a 18.3 at az tökéletesen működik feltelepül. A 19 az meg nem. Mindig ugyanaz a hibaüzenet. Pedig többször újra le is töltöttem a netröl,ciamon ill mate xfce de egyik sem települ fel. Mindig a merevlemez törlése és mint telepítést választom. Utána megkérdi hogy

Esp

Ext4

swap 

Utána folytatás  

És utána a végefelé a grub telepítést írja már ki és akkor jön az először leirt hibaüzenet. 

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

A gépen Minden beállítás

#2 Így lehet nézni, hasonlítani, de nem mindig célszerű, mert pár dologtól függ azért egy bármilyen telepítés. A jelenlegi telepítést (Linux Mint 19 Tara)  kell vizsgálni inkább, mert ott a probléma, és azt szeretnék megoldani. Nem mondom azt, hogy nálam minden rendben a telepítővel, ... de minden rendben, igaz, régebben töltöttem le, és telepítettem a Tara kiadást. Következésképpen, valami nálad, a noteszgépen, illetve a beállításaiban egyedi ... .

Ezt ellenőrizted? Talán elkerülte a figyelmed, hogy említettem:

Ezt az ellenőrzést is elvégezhetnéd (a képfájl kiírása előtt persze):
http://ubuntu.hu/node/39595#comment-483799

Értékelés: 

0
Még nincs értékelve
kimarite képe

A grub-signed könyvtárban

#4 Akkor (vélhetően) nem ez a gond. A Secure Boot kikapcsolását, és a GParted újraparticionálást (GPT partícióstábla) csinálnám. Nem árt, és lehet a régebbi partícióstáblával problémázik a Tara. A Secure Boot kikapcsolásának értelme logikus. Hogy mit csinál a Linux Mint 18.x, az most mindegy, de például ilyen összefüggést vagy tesztet az okok kiderítése miatt én sem tudok csinálni.

Értékelés: 

0
Még nincs értékelve

Secure Boot kikapcsolását, és

Secure Boot kikapcsolását, és a GParted újraparticionálást megcsináltam. Most azt írja ki a telepítés elkezdése előtt angolul hogy,

Uefi mód helyett inkább a BIOS módot válasszam  vagy mégis folytatom uefi módban és akkor továbengedett  

Értékelés: 

0
Még nincs értékelve

Nem tudom mit mondjak  Minden

Nem tudom mit mondjak  Minden beállítás a leirtak szerint történt.

A telepítés nem sikerült a grub miatt. 

Viszont kihuztam a lan kábelt a gépből és sikerült . Lehet hogy telepítés közben tölt le valamit a rendszer? 

Ki próbáltam újra de visszadugott lan kábellel nem sikerült megint . Ugyanaz a grub hiba volt . 

Most ujratelepitettem lan kihuzva és jó lett. 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nem tudom mit mondjak  Minden

#7 A 3rd Party  alkalmazások miatt lehet ez, ezek a nem szabad szoftverek. Legtöbbször segít, ha nem jelölöd be a telepítésüket, vagy az említett módon, net nélkül folytatod le a telepítést.
A probléma megoldva. Használd egészséggel a Tara-t!

Értékelés: 

0
Még nincs értékelve

Rendben . 

Rendben . 

Akkor ez valami hiba ? 

Értékelés: 

0
Még nincs értékelve
lazlo képe

Rendben . 

#11 ...inkább hianyossag,egy ido mulva helyrejon...nekem az acer rebootnál játszotta el...amugy ezt a kis kellemetlenséget a 4.18-as kernelnél nem vettem észre...pontosan már nem emlékszem vissza,hogy miért csinálja a rendszer...

Értékelés: 

0
Még nincs értékelve

Szia!

Szia!

Korábban ugyanígy jártam, ugyanezzel a hibaüzenettel. Rengeteget kerestem a neten, míg valaki csak úgy félvállról "beköpte", hogy MINDIG internetelérés nélkül szabad csak telepíteni, mindent a már működő rendszer alól kell letölteni.

Hülyeségnek tartottam, de végső elkeseredésemben ezt is kipróbáltam. És tényleg jó lett.

Értékelés: 

0
Még nincs értékelve

frissítés

Sziasztok,

Ti mit tudtok, mi ez az őrület már hónapok óta, hogy telepítéskor a csomagokat nem tudom frissíteni, törött, kihagyja, nem érhető el a tükör, meg a jó ég tudja mi nem.

Alapértelmezettben is. Ami elérhető, beállítom, majd megszakad, nem tudja frissíten az indexeket, és rohangálok szerverről szerverre, de csak szivat ez a frissítő.

Piszok idegesítő, mert a rendszert gyakorlatilag újra fel kell tenni, frissítés hiányában nem működik, sőt újra se indult.

Értékelés: 

0
Még nincs értékelve
kimarite képe

frissítés

#14 Szia, a magyar tükröket ne használd. A jelenség emiatt lehet. Közel vannak, de gyakran túlterheltek, és a terhelést nem bírják.

Értékelés: 

0
Még nincs értékelve

frissítés

#14 Ha törött csomagok vannak, ez segíthet.:
http://ubuntu.hu/node/27859
(Még ha valamivel lassabbak is, inkább közeli-külföldi tükrök beállítása.(cseh, román, osztrák)

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nem tudom mit mondjak  Minden

#7 Azért azt megjegyezném, hogy a jelenség eseti probléma. Éppen most fissítek naprakészre egy kb. 20 perce telepített Linux Mint 19 Tara, amd64 rendszert egy Dell Optiplex PC-re (a frissítés lezajlott). A képfájlt most este töltöttem le, tehát a legfrissebb. A telepítéskor a 3rd Party (Harmadik féltől származó) alkalmazások bejelölve és LAN (internet) csatlakoztatva, és mind a Linux Mint telepítése, mind a GRUB telepítése rendben ment. A HDD-n ezelőtt ugyanez a Mint volt, de visszakerült hozzám megnézésre a gép (vélelmezett hardver hiba miatt) és az automatikus frissítéseknél tapasztal hibajelenség miatt újratelepítettem. Másrészt azért is telepítettem újra a rendszert, mert ezen
https://linuxmint.hu/blog/2018/07/frissiteskezelo-a-napi-egy-automatikus...
információ nem volt még a birtokomban a telepítés idején, így mindig a lehető legfrisebb csomagokra frissítette a Frissítéskezelő a rendszert, azaz a biztonsági frissítéseknél, és a 2. biztonsági szintnél nem állt meg. Ez még nem lett volna nagy baj egy PC-n, de azt is tapasztaltam, hogy az automatikus frissítés „nem az igazi”, azaz a naplófájlban találtam egy hibajelenséget, ennek következtében, mintha nem is frissült volna a rendszer („egy ideje”), így most egy másik módszert fogok találni az automatikus frissítések automatikus futtatására. A gépet olyan ember használja, akinek éppen az automatikus frissítés felel meg, nem fogja megnyitni időszakonként (naponta) a Frissítéskezelőt, és nem fog jelszót begépelni annak futtatásához.

Értékelés: 

0
Még nincs értékelve

Nem tudom mit mondjak  Minden

#17 "A gépet olyan ember használja, akinek éppen az automatikus frissítés felel meg, nem fogja megnyitni időszakonként (naponta) a Frissítéskezelőt, és nem fog jelszót begépelni annak futtatásához."

Ezt az unattented-upgrades segtségével fogod megvalóstani?

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nem tudom mit mondjak  Minden

#18 A biztonsági szintek miatt nem. Így valósítottam meg: https://linuxmint.hu/comment/22682#comment-22682

Értékelés: 

0
Még nincs értékelve

Köszönöm. Bár ketyeg egy

Köszönöm. Bár ketyeg egy külső eszközön Tara XFCE, de alapvetően nem ott kellene megoldanom, hanem Bunsenlabs-on

Értékelés: 

0
Még nincs értékelve
kimarite képe

Köszönöm. Bár ketyeg egy

#20 Az UnattendedUpgrades szerintem jó lesz neked.
https://wiki.debian.org/UnattendedUpgrades
Példa: https://www.howtoforge.com/how-to-configure-automatic-updates-on-debian-...
És még többféleképpen lehet: https://www.debian.org/doc/manuals/debian-faq/ch-uptodate.en.html

Én kézzel frissítek, mert több kiadás csomagjait használom néha. És például egy-két napja jelentkezett (Debian alatt) egy libapt-pkg5.0 bug. A kézi frissítés mutatta meg, de esetleg az eredményességet / eredménytelenséget lehet naplózni is, ha a frissítés automatikus. A libapt problémát meg is oldottam (neten leírják, mi a gond [bug] és hogyan lehet megoldani). A wget és a dpkg használatával. A hiba (apt, aptitude):

aptitude: relocation error: aptitude: symbol _ZN3URIcvNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEB5cxx11Ev version APTPKG_5.0 not defined in file libapt-pkg.so.5.0 with link time reference

Értékelés: 

0
Még nincs értékelve

A gépen Minden beállítás

#2

Szia!

Én is így jártam, háromszor futottam neki a telepítésnek (Mint19 Xfce 64bit-es változattal) és a fenti Grub hibaüzenettel elszált mindanyiszor.
Ezután dobtam az image-t amit erről az oldalról töltöttem le.
Helyette a linuxmint.com-ról szedtem le az image-t, amivel hibátlLANul települt, hálókábel kirángatás nélkül.
Az ottani image egyébként kapott egy v2 jelölést a fájlnév végén, gondolom nem véletlenül.

linuxmint-19-xfce-64bit-v2.iso

Rufus helyett ajánlom az etcher nevű ingyenes progit, neki van Linux-os változata is, valamint kevesebb lépésből tudsz vele boot-olható pendrive-ot készíteni. Nem kell mbr/gpt beállításokkal foglalkozni, csak kijelölöd az iso-t, a céleszközt és már írja/ellenőrzi is a cuccot.

Értékelés: 

0
Még nincs értékelve
kimarite képe

A gépen Minden beállítás

#23 Frissíteni fogjuk a letöltési linket. A jelzést köszönjük, ezeket a változásokat nem feltétlen figyeljük mindennap. Bizonyára tartalmaz javításokat a második verzió. Nálam azonban a régi képfájl lett letöltve (igaz, ez egy PC):

A Rufus EXE telepítős, Windows alatt használható. De megoldható az is -ha legalább kettő USB port van- az Etcher telepítő-készítő alkalmazással, hogy az egyik USB portba megy a telepítős USB és erről lesz indítva a Live rendszer, a másik USB portba kerül a telepítő készítő USB, amit az Etcher alkalmazás használni tud. Javaslom a telepítő készítő használata előtt a Live rendszert naprakészre frissíteni. Ez RAM mérettől függően sikerül, mert manapság már elég RAM áll rendelkezésre a Live rendszernek a frissítéshez/telepítéshez. A Live rendszer a RAM-ba töltődik, azt fele részben használja a működéséhez azaz a futásához, s a fennmaradt RAM-ot lehet használni a frissítésre és az átmeneti fájlokhoz- azaz, ha csak Windows van telepítve, akkor nem feltétlen a Rufus (EXE) az egyetlen megoldás.

Az Etcher használatát itt írjuk le: https://linuxmint.hu/blog/2018/06/etcher-usbsd-kartya-lemezkep-iro-videoval

Értékelés: 

0
Még nincs értékelve

A gépen Minden beállítás

#24 Egy hónapja készítettem a live pendrive-ot. (külföldi szerverről) Telepítettem a Mint 19 programot. A titkosított lemezterület létrehozásával. Ugyanazt a live alapot használva múlt héten megpróbáltam újra telepíteni a rendszert. Csak alap módban engedte. Amikor a titkosított lemezterület létrehozásával akartam telepíteni ugyanazt a GRUB hibaüzenetet kaptam.  Ha a live rendszer lenne az oka akkor már első alkalommal sem működött volna. Még furcsább volt, hogy amikor a nem titkosított lemezterület létrehozását választottam rendben feltelepült a rendszer.

Értékelés: 

0
Még nincs értékelve
kimarite képe

A gépen Minden beállítás

#25 Egy hónapja készítettem a live pendrive-ot. (külföldi szerverről)
--a szervernek nincs jelentősége, csak annak, hogy innen vagy a Linuxmint angol oldaláról indultál-e ki, és ellenőrizted ezek után a telepítő épségét is. Inkább linkeld, honnan töltötted le.

Telepítettem a Mint 19 programot. A titkosított lemezterület létrehozásával. Ugyanazt a live alapot használva múlt héten megpróbáltam újra telepíteni a rendszert. Csak alap módban engedte. Amikor a titkosított lemezterület létrehozásával akartam telepíteni ugyanazt a GRUB hibaüzenetet kaptam.  Ha a live rendszer lenne az oka akkor már első alkalommal sem működött volna. Még furcsább volt, hogy amikor a nem titkosított lemezterület létrehozását választottam rendben feltelepült a rendszer.
-- milyen alkalmazással készítetted el a Live rendszert?
-- mi a (nem) említett GRUB hibaüzenet?
-- ugyanarra a gépre próbáltál telepíteni, mint amelyiken a Live pendrive-ot készíttted vagy más gépre. Mi az egyik és mi a másik gép márkája, és miben különböznek még: PC vagy noteszgép, azokon már meglévő más operációs rendszer, például Windows, továbbá az MBR vagy EFI particíciós táblák lehetséges különbözősége, stb.?

IIgen kevés, mondhatni „szinte semmi” az általad eddig közölt információ!

A problémád felvetéséhez szolgáltass pontos információkat – milyen hardvert, a Linux Mint melyik változatát, melyik szoftvert használod, hiba üzeneteket (minél pontosabban, amennyiben ez lehetséges). Kérjük, a problémát tömören, lényegre törően írd le. Részletesen mutasd be a körülményeket, a problémáig vezető lépéseidet és ha esetleg kaptál hibaüzenetet, azt is másold be ide, ezzel megkönnyítve a válaszadók dolgát. Így kaphatsz közvetlenül helyes választ a további kérdések helyett.

És kérjük mondd el, ha a Linux Mint-et mint4win segítségével futtatod.
(https://linuxmint.hu/kozosseg/szabalyzat)

Értékelés: 

5
Átlag: 5 (1 szavazat)

A gépen Minden beállítás

#26
Guub hiba kiírás:a "grub-efi-amd64-signed csomag nem települt a /target/ könyvtárba

Sajnos nem emlékszem már honnan lett letöltve, a rufus telepítővel készült.
Ugyanaz a notsz gép, első alkalommal üres második alkalomma értelemszerűen a korábbi linux rendszer volt a merevlemezen, de ugyanazokat a beállításokat használtam.

Azóta készítettem egy másik telepítőt, jobban utánaolvastam és elkészítettem manuálisan az ext4 / /home és swap könyvtárakat. Most működött.

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

A gépen Minden beállítás

#27 Szia, megkérdezhetem, melyik telepítőt használtad? A nevében „v2”-t? Az az újabb. Fontos információ lenne.
Mert valamiért még mindig nem az van a torrent letöltési lehetőségeknél (Linux Mint 19 Tara), mármint, itt a magyar közösségi oldalon. Most ismételten jeleztem (visszajelzést kaptam, hogy javítva, de úgy tűnik, nem sikerülhetett ...).

Ez a neve?

https://torrents.linuxmint.com/torrents/linuxmint-19-cinnamon-64bit-v2.iso.torrent

azaz

linuxmint-19-cinnamon-64bit-v2.iso

Értékelés: 

0
Még nincs értékelve
kimarite képe

A gépen Minden beállítás (PS)

#28 Torrent linkek javítva (v2):

Linux Mint 19 Tara (LTS verzió)

A Linux Mint legújabb, Ubuntu 18.04 alapú kiadása. A verzió újdonságairól ezeken az oldalkon olvashat.

Támogatás 2023 áprilisig.

Hitelesség ellenőrzése

Értékelés: 

0
Még nincs értékelve

A gépen Minden beállítás

#28 Szia, a V2. használtam másodszorra, a linuxmint.com oldalról. (És annyit fejlódtem, hogy már torrenttel szedtem le :)

Értékelés: 

0
Még nincs értékelve
kimarite képe

A gépen Minden beállítás

#30 Értem. Köszi!

A hiba

egyik magyarázata, ha nincs internet (a telepítés közben), úgy a telepítő nem tud lehúzni egy függőséget,

azaz a cél könyvtárba (target) a grub-efi-amd64-signed csomag telepítése, a függőség, a grub-efi-amd64-bin csomag hiányában nem mehet végbe, így a GRUB telepítése, és beállítása sem sikeres. A telepítő lemezen a grub-efi-amd-64-bin csomag nem található meg.

Forrás: http://linuxbsdos.com/2017/08/29/solution-to-grub-efi-amd64-signed-packa...
Ezt mindjárt bővebben el is magyarázom (lentebb és most), mert két dolog miatt lehet.

-----

Én azt gondolom,
-- ha az automatikus particionálást választod, akkor ne legyen internet,
https://forums.linuxmint.com/viewtopic.php?t=241379#p1296391
-- ha a „Valami más” lehetőséget, azaz, a kézi particionálást, akkor meg lehet.
... mert magam is emlékszem, még az Ubuntu telepítések idejéről, hogy valami gubanc volt ott is a szerverekkel, a GRUB telepítéssel, de a magyarázatnak akkor és azóta sem jártam utána. Néha. Velem ilyen nem nagyon fordult elő, talán csak egyszer, egyszer.

De itt a -hivatalosnak is tekinthető magyarázat és a workaround:
I'm having the same issue. Everything was working fine and have installed Mint 19 countless times. Doing a clean install on a blank disk failed today. This has happened before on Mint 18 where something Ubuntu does gets changed. The new version of grub-efi-amd64-signed that appeared from Ubuntu today could have something to do with it. Mint needs to consider changing the script not to go out to the Ubuntu repository for an updated GRUB and just use the one on the ISO and then update it later. Updating the version on the fly during the initial install seems to be failure prone.

Work around is to install without a network connection!

But then you have to manually install mint-meta-codecs manually.
Would appreciate if Mint Devs would do something to stop this from repeating in the future and causing users a lot a headaches and screwing around.
https://forums.linuxmint.com/viewtopic.php?f=46&t=272886&p=1494073&hilit...
... tehát az Ubuntu tükröknél változik időszakonként valami, és azt a Mint telepítő -érthető módon- nem minden alkalommal tudja követni (hiszen fix beállításokkal készült [a szkript]):
The problem seems to be that UBUNTU changes something upstream and the Mint install script does not take account of that, so the grub install fails.
https://forums.linuxmint.com/viewtopic.php?t=280640#p1546573

Természetesen az UEFI Boot CSM vagy Legacy beállítása is bejátszhat olykor (ha Windows mellé telepítesz),
https://forums.linuxmint.com/viewtopic.php?f=46&t=163238&p=840112#p840090
éppúgy, mint a Secure Boot kikapcsolása.

-----

-- ESP (EFI System Partition) partíció,
https://ubuntuforums.org/showthread.php?t=2321856
-- két lemez,
http://ubuntu.hu/node/41167#comment-510713
-- javítás Live rendszerről.
https://askubuntu.com/a/1049754

Értékelés: 

5
Átlag: 5 (1 szavazat)

A gépen Minden beállítás

#31 Köszönöm a részeltes magyarázatot. Ezek szerint a telepítőből hiányzik a grub-efi-amd64-bin. Amennyiben online vagyok telepítés közben akkor az letöltődik. Ez a fájl csak akkor kell ha titkosított saját lemezterületet szeretnék létrehozni. 

Arra már nem emlékszem, hogy első alkalommal online voltam-e. A másodiknál biztos nem, mert pont azért kezdtem újra tenni a gépet mert internet problémáim voltak és a virtuális gépen meg nem tudam átállítani a magyar billentyűzetet. 

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

A gépen Minden beállítás

#32 Ez a fájl csak akkor kell ha titkosított saját lemezterületet szeretnék létrehozni. 
-- nna, igen, ez is egy fontos információ.

Értékelés: 

0
Még nincs értékelve